WiPay
WAPIsv2.0.2Accounts

Create Account

Create a new WiPay account under the authenticated merchant (MMA). If the email already exists, attempts to link the existing user.

POST
/accounts
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

emailstring
Formatemail
Lengthlength <= 255
first_namestring
Match^[a-zA-Z\-\s]+$
Length2 <= length <= 255
last_namestring
Match^[a-zA-Z\-\s]+$
Length2 <= length <= 255
passwordstring

Must pass secure password check in production.

Formatpassword
Length8 <= length <= 30

Response Body

curl -X POST "https://tt.wipayfinancial.com/wapi/accounts" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "first_name": "string",    "last_name": "string",    "password": "pa$$word"  }'
{
  "message": "Created",
  "data": {
    "account_number": "3255523975"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}